Problems install Yarn on Debian 9 Stretch

When I installed Yarn on Debian Stretch I haven't problemsn, but when I launch yarn init I obtain a error:

ERROR: [Errno 2] No such file or directory: 'init'

Even though when doing

yarn --version

returned 0.27

 

so How Install Yarn properly

The solution I obtained was (and according to this tuto):

First download the repositoriy key for verify identity:

curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | apt-key add -

After add the url repository to file sources.list.d

echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list

And if you had installed Yarn before you have to force the installation, in this way:

apt-get -o Dpkg::Options::="--force-overwrite" install yarn

And with this it should be enough.

 

References:

  1. https://github.com/yarnpkg/yarn/issues/3708
  2. https://yarnpkg.com/lang/en/docs/install/

 

How to install Node with NPM on Debian Stretch

Problems installing NPM? Maybe you have asked why my debian stretch dont have npm after installing nodejs? Maybe you've had problems when you install NodeJS and NPM isn't installed with him.

A few forums have information about that problem, some of them says that you should install

# apt install nodejs

Or

$ curl -sL https://deb.nodesource.com/setup_6.x
$ chmod +x setup_6.x
# ./setup_6.x

Before.

Even things like:

# apt install build-essential libssl-dev

I don't know how it can help..

 

Installing really:

My solution and for that reason I published it here, was:

 

First install a tool named: NVM (Node Version Magager)

You can do it thus:

curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.33.8/install.sh | bash
The tuto is here: https://github.com/creationix/nvm/blob/master/README.md#install-script

After you should write:

nvm install node

If it said NVM is not found, you should close and open another terminal...

 

After this you have NPM installed already. Congratulations!! If it was helpful, comment please :)

Cómo instalar Steam en Linux, puntualmente Debian 9 Stretch

La instalación es muy breve. Después de esta explicación se abrirá un espacio para resolución de los problemas más típicos, al menos el que yo tuve y una sección de comentarios para generar charla.

 

Habilitar los repositorios

Steam es un software propietario, qué desgracia, y los juegos que administra generalmente también, como resultado de esto toca habilitar los non-free repositorios de Debian. Para hacer eso hay que editar el siguiente archivo con permisos de superusuario: osea root: /etc/apt/sources.list Y agregar  contrib non-free Luego de main.

Debería quedar algo así como:

 deb http://deb.debian.org/debian/ stretch main contrib non-free

Luego y sólo si tu procesador y sistema operativo es de 64bits, vas a habilitar la opción de soporte para 32bits, dado que para linux sólo está Steam para 32bits.

dpkg --add-architecture i386

Después vas a cargar los nuevos repositorios y a actualizarlos con:

apt update && apt upgrade

Instalar Steam

Después de esto vamos a instalar Steam con el siguiente comando:

apt install steam

Seguramente el proceso te va a pedir que aceptes los términos y condiciones.

Instalación finalizada

Ahora puedes autenticarte y jugar.

Problemas

El problema que tuve yo en Debian 9 con un procesador de 64bits fue:

symbol lookup error: /usr/lib/i386-linux-gnu/libxcb-dri3.so.0: undefined symbol: xcb_send_request_with_fds línea 444: no hay coincidencia: ssfn* -

 

Después de buscar un buen rato la solución que me funcionó es la que aparece en:

https://wiki.debian.org/Steam#Troubleshooting

Y lo que hice fue ejecutar el siguiente comando:

rm /home/awake/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/lib/x86_64-linux-gnu/libgcc_s.so.1

Pero por si las moscas aquí tienen todo el conjunto de comandos que pueden servirte:

# rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6
# rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu/libgcc_s.so.1
# rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/lib/x86_64-linux-gnu/libgcc_s.so.1
# rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libstdc++.so.6
# rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libxcb.so.1
# rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu/libgpg-error.so.0

 

Si eso no te funciona, qué lástima. Si algo abajo está la sección de comentarios por medio del api de fb.

 

Loading...
Loading...